Summary: Automatically Tuned Linear Algebra Software
Name: ATLAS
Version: 3.6.0
Release: 1.PU_IAS.4
Source0: atlas%{version}.tar.bz2
Patch1: atlas3.6.0-athlonfix.patch
Copyright: Unknown
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: atlas3.6.0.tar.bz2
BuildRequires: lapack
ExcludeArch: i486 i586 i686 athlon

%description
The ATLAS (Automatically Tuned Linear Algebra Software) project is an ongoing research effort focusing on applying empirical techniques in order to provide portable performance. At present, it provides C and Fortran77 interfaces to a portably efficient BLAS implementation, as well as a few routines from LAPACK.

This package was built so that it should run on P3, P4 and athlon CPU's but it will run faster if rebuilt for a specific CPU, e.g. athlon.

%prep
%setup -n ATLAS
%patch1 -p1 -b .athlonfix
make xconfig 
%ifarch i386
./xconfig -A 14 < /dev/null
%else
./xconfig < /dev/null
%endif
%ifarch x86_64 ia32e
perl -pi -e "s|ARCHDEFS = |ARCHDEFS = -fPIC |" Make.Linux*
perl -pi -e "s|F77FLAGS = |F77FLAGS = -fPIC |" Make.Linux*
%endif

%build
ATLASARCH=`ls Make.Linux*|cut -d. -f2`
make install arch=$ATLASARCH
cd lib/$ATLASARCH
cp -a liblapack.a liblapack-atlas-original.a
mkdir tmp
cd tmp
ar x ../liblapack.a
rm -f ../liblapack.a
cp -a /usr/%{_lib}/liblapack.a ../liblapack.a
ar r ../liblapack.a *.o
cd ..
rm -rf tmp

%install
ATLASARCH=`ls Make.Linux*|cut -d. -f2`
mkdir -p $RPM_BUILD_ROOT/{%{_libdir}/ATLAS,%{_includedir}/ATLAS}
gzip doc/*.ps
cp lib/$ATLASARCH/lib*.a $RPM_BUILD_ROOT/%{_libdir}/ATLAS
cp include/{cblas.h,clapack.h} $RPM_BUILD_ROOT/%{_includedir}/ATLAS

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,755)
%doc doc/* README INSTALL.txt
%{_libdir}/ATLAS
%{_includedir}/ATLAS
